{% extends "base.html" %}
{% block title %}enezKreiz - Config MQTT{% endblock %}
{% block content %}
    <div class="row">
      <div class="col s1"></div>
      <div class="col s10">
        <div class="hedit">Configuration du service MQTT</div>
      </div>
    </div>
    <form  method="POST" action="{{ url_for('mqttEdit') }}">
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s11">
          <input placeholder="127.0.0.1" id="broker" type="text" class="validate" name="broker" value="{{ conf['broker'] }}" >
          <label for="port">Broker :</label>
          <span class="helper-text" >Adresse IP ou nom de la machine sur le réseau</span>
        </div>
      </div>
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s11">
          <input placeholder="1883" id="port" type="text" class="validate" name="port" value="{{ conf['port'] }}" >
          <label for="port">Port MQTT :</label>
          <span class="helper-text" >Port utilisé pour accèder au service MQTT, via le protocole MQTT natif</span>
        </div>
      </div>
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s11">
          <input placeholder="9001" id="socketport" type="text" class="validate" name="socketport" value="{{ conf['socketport'] }}" >
          <label for="socketport">Port HTTP :</label>
          <span class="helper-text" >Port utilisé pour accèder au service MQTT via websocket (client HTTP)</span>
        </div>
      </div>
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s11">
          <input placeholder="user" id="user" type="text" class="validate" name="user" value="{{ conf['user'] }}">
          <label for="user">Utilisateur :</label>
          <span class="helper-text" >Si le service nécessite une authentification, il s'agit du nom de l'utilisateur autorisé à accéder au service</span>
        </div>
      </div>
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s11">
          <input placeholder="xx" id="pwd" type="password" class="validate" name="pwd" value="{{ conf['pwd'] }}" >
          <label for="pwd">Mot de passe :</label>
          <span class="helper-text" >Mot de passe associé à l'utilisateur ayant accès aux écrans de configuration</span>
        </div>
      </div>
      <div class="row">
        <div class="col s1"></div>
        <div class="input-field col s11">
          <button class="btn {% if g.settings['noEdit'] == 'true' %}disabled {% endif %} waves-effect waves-light enezgrbutton" type="submit" name="action">Enregistrer
            <i class="material-icons right">check</i>
          </button> &nbsp; 
          <button class="btn disabled waves-effect waves-light enezgrbutton" type="reset" >Supprimer
            <i class="material-icons right">delete</i>
          </button> &nbsp; 
          <button class="btn waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for('main') }}'">Annuler
            <i class="material-icons right">cancel</i>
          </button>
        </div>
      </div>
    </form>
{% endblock %}